"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_api_trade_afterSale = require("../../../sheep/api/trade/afterSale.js");
require("../../../sheep/request/index.js");
require("../../../sheep/config/index.js");
require("../../../sheep/store/index.js");
require("../../../sheep/store/app.js");
require("../../../sheep/api/promotion/diy.js");
require("../../../sheep/platform/index.js");
require("../../../sheep/platform/provider/wechat/index.js");
require("../../../sheep/platform/provider/wechat/miniProgram.js");
require("../../../sheep/api/member/auth.js");
require("../../../sheep/api/member/social.js");
require("../../../sheep/api/member/user.js");
require("../../../sheep/platform/provider/apple/index.js");
require("../../../sheep/platform/share.js");
require("../../../sheep/router/index.js");
require("../../../sheep/hooks/useModal.js");
require("../../../sheep/helper/index.js");
require("../../../sheep/helper/test.js");
require("../../../sheep/helper/digit.js");
require("../../../sheep/helper/throttle.js");
require("../../../sheep/url/index.js");
require("../../../sheep/platform/pay.js");
require("../../../sheep/index.js");
require("../../../sheep/config/zIndex.js");
require("../../../sheep/api/pay/order.js");
require("../../../sheep/store/user.js");
require("../../../sheep/store/cart.js");
require("../../../sheep/api/trade/cart.js");
require("../../../sheep/api/pay/wallet.js");
require("../../../sheep/api/trade/order.js");
require("../../../sheep/api/promotion/coupon.js");
require("../../../sheep/store/sys.js");
require("../../../sheep/store/modal.js");
if (!Array) {
  const _easycom_s_layout2 = common_vendor.resolveComponent("s-layout");
  _easycom_s_layout2();
}
const _easycom_s_layout = () => "../../../sheep/components/s-layout/s-layout.js";
if (!Math) {
  (logItem + _easycom_s_layout)();
}
const logItem = () => "./log-item.js";
const _sfc_main = {
  __name: "log",
  setup(__props) {
    const state = common_vendor.reactive({
      list: []
    });
    async function getDetail(id) {
      const { data } = await sheep_api_trade_afterSale.AfterSaleApi.getAfterSaleLogList(id);
      state.list = data;
    }
    common_vendor.onLoad((options) => {
      state.aftersaleId = options.id;
      getDetail(options.id);
    });
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(state.list, (item, index, i0) => {
          return {
            a: "2fedae8f-1-" + i0 + ",2fedae8f-0",
            b: common_vendor.p({
              item,
              index,
              data: state.list
            }),
            c: item.id
          };
        }),
        b: common_vendor.p({
          title: "售后进度"
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-2fedae8f"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/pages/order/aftersale/log.vue"]]);
wx.createPage(MiniProgramPage);
